# en_US resources
signature="sIgNaTuRe"
###

# Extract plugin errors
com.vmware.esx.settings.extract.plugin.unexpected.error = "Extract plugin '{1}' failed unexpectedly."
com.vmware.esx.settings.extract.plugin.aborted = "Extract plugin '{1}' was aborted."
# plugin fails gracefully by setting pluginErr
com.vmware.esx.settings.extract.plugin.failed = "Extract plugin '{1}' failed."

# Generic information messages for dynamic validation plugins
com.vmware.esx.settings.validation.plugin.started = "Configuration '{1}' validation started."
com.vmware.esx.settings.validation.plugin.finished = "Configuration '{1}' validation completed successfully."

# Generic error messages for dynamic validation plugins

# Invalid value in a property
com.vmware.esx.settings.validation.plugin.invalid.val.error = "Validation plugin error: Invalid value '{1}'."
# Plugin raising unexpected exception
com.vmware.esx.settings.validation.plugin.unexpected.error = "Validation plugin '{1}' failed unexpectedly."
com.vmware.esx.settings.validation.plugin.aborted = "Validation plugin '{1}' was aborted."
# plugin fails gracefully by setting pluginErr
com.vmware.esx.settings.validation.plugin.failed = "Validation plugin '{1}' failed."


# Generic information messages for dynamic apply plugins
com.vmware.esx.settings.apply.plugin.started = "Configuration '{1}' remediation started."
com.vmware.esx.settings.apply.plugin.finished = "Configuration '{1}' remediation completed successfully."

# Generic error information messages for dynamic apply plugins

# Apply plugin raising unexpected exception
com.vmware.esx.settings.apply.plugin.unexpected.error = "Apply plugin '{1}' failed unexpectedly."
com.vmware.esx.settings.apply.plugin.aborted = "Apply plugin '{1}' was aborted."
# plugin fails gracefully by setting pluginErr
com.vmware.esx.settings.apply.plugin.failed = "Apply plugin '{1}' failed."

com.vmware.settings.impact.info.add = "Configuration '{3}/{2}/{1}' will be added on the host."
com.vmware.settings.impact.info.set = "Configuration '{3}/{2}/{1}' will be updated on the host."
com.vmware.settings.impact.info.delete = "Configuration '{3}/{2}/{1}' will be deleted from the host."
com.vmware.settings.impact.info.reboot = "Host will be put into maintenance mode and then rebooted."
com.vmware.settings.impact.info.maintenance-mode = "Host will be put in maintenance mode."


# Generic information messages for dynamic impact plugins
com.vmware.esx.settings.impact.plugin.started = "Computing impact for configuration '{1}'."
com.vmware.esx.settings.impact.plugin.finished = "Configuration '{1}' impact was computed successfully."

# Generic error messages for dynamic impact plugins

# Impact plugin raising unexpected exception
com.vmware.esx.settings.impact.plugin.unexpected.error = "Impact plugin '{1}' failed unexpectedly."
com.vmware.esx.settings.impact.plugin.aborted = "Impact plugin '{1}' was aborted."
# Impact plugin fails gracefully by setting pluginErr
com.vmware.esx.settings.impact.plugin.failed = "Impact plugin '{1}' failed."


# Generic error messages for boot time restore failures
com.vmware.esx.settings.boot-restore.failed = "Failed to apply configuration during boot for '{1}/{2}/{3}'."

com.vmware.esx.settings.extract.failed = "Extract plugin '{1}' failed."
com.vmware.esx.settings.extract.invalid-config = "The following Extract plugins returned and invalid configuration: {1}"
com.vmware.esx.settings.extract.delete-default-not-supported = "Deleting default configuration for {1} is not supported."

com.vmware.esx.settings.configmanager.schema-not-found = "Schema object not found: {1}"
com.vmware.esx.settings.configmanager.db-connect-error = "Failed to connect to ConfigStore."
com.vmware.esx.settings.configmanager.not-singleton = "Not a singleton object: {1}"
com.vmware.esx.settings.configmanager.empty-doc = "The desired configuration document is empty."
com.vmware.esx.settings.check-apply.empty-input = "The Apply API was invoked without valid input."
com.vmware.esx.settings.impact.invalid = "The impact result is not applicable anymore."
com.vmware.esx.settings.apply.not-in-maint-mode = "The host must be in maintenance mode for apply to proceed."
com.vmware.esx.settings.configmanager.singleton-error = "Not a non-singleton object: {1}"
com.vmware.esx.settings.configmanager.host-not-in-nbm = "The host has other pending desired configurations, please reboot the host."
com.vmware.esx.settings.configmanager.not-found = "No configuration found for {1} in the config store."

com.vmware.esx.settings.configmanager.parse-error = "Failed to parse JSON String"
com.vmware.esx.settings.configmanager.schema-store-error = "Failed to access SchemaStore"
com.vmware.esx.settings.configmanager.invalid-plugin = "The plugin JSON does not validate against schema: {1}"
com.vmware.esx.settings.configmanager.unsupported-plugin-version = "The plugin JSON version is not supported: {1}"
com.vmware.esx.settings.apply.dependency-error = "Failed to create dependency graph from plugin JSON files."
com.vmware.esx.settings.configmanager.invalid-key-value = "Invalid vlue for key {1}"
com.vmware.esx.settings.hostapi.unsupported-config = "Cannot use HostAPIs as Configuration is not user configuration."
com.vmware.esx.settings.configmanager.unexpected-error = "An unexpected error occurred: {1}"
com.vmware.esx.settings.configmanager.apply-plugin-absent = "No Apply plugins were found for {1} configuration."